%define aspell_ver 0.60
%define list_ver 0.7
%define dict_name uk
%define lang_ver 20040515
Name: aspell-%dict_name
Version: %aspell_ver
Release: alt1

Summary: GNU Aspell Ukrainian Word List Package
License: GPL
Group: System/Internationalization
Url: http://aspell.net/

Source: ftp://alpha.gnu.org/gnu/aspell/aspell-lang-%lang_ver.tar.bz2
Source1: http://sf.net/projects/ispell-uk/ukrainian-koi-%list_ver.wordlist.bz2
Source2: info.bz2
Source3: uk.dat.bz2
#Source: http://ftp.gnu.org/gnu/aspell/dict/uk/%name-%version-%build_ver.tar.bz2

Requires: aspell >= %aspell_ver
BuildRequires: perl, perl-i18n
BuildRequires: aspell >= %aspell_ver
Provides: aspell-dictionary

%description
GNU Aspell Ukrainian Word List Package

%prep
%setup -q -n aspell-lang
bzcat -c %SOURCE2 > info
bzcat -c %SOURCE3 > uk.dat
cp COPYING Copyright
%__cat >create_list <<EOF
 #!/bin/sh
export LANG=C; bzcat -c %SOURCE1 | sort -u | word-list-compress c > uk.cwl 
./proc
EOF

chmod 700 create_list
./create_list

%build
./configure
%make

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install

%files
%doc README Copyright
%_libdir/aspell/*
%_datadir/*

%changelog
* Tue Jul 20 2004 Vital Khilko <vk@altlinux.ru> 0.60-alt1
- special nonofficial version for aspell 0.6

* Fri Apr 23 2004 Vital Khilko <vk@altlinux.ru> 0.50-alt3
- fixed #3957

* Mon Oct 20 2003 Vital Khilko <vk@altlinux.ru> 0.50-alt2
- fix dependencies

* Tue Sep 16 2003 Vital Khilko <vk@altlinux.ru> 0.50-alt1
- New official package from aspell.net
